'*
'*  libLB - The LBPP support library
'*  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
'*
'*  libLB is free software; you can redistribute it and/or
'*  modify it under the terms of the GNU Lesser General Public
'*  License as published by the Free Software Foundation; either
'*  version 2.1 of the License, or (at your option) any later version.
'* 
'*  libLB is distributed in the hope that it will be useful,
'*  but WITHOUT ANY WARRANTY; without even the implied warranty of
'*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
'*  Lesser General Public License for more details.
'* 
'*  You should have received a copy of the GNU Lesser General Public
'*  License along with this library; if not, write to the Free Software
'*  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
'*

' Internal control/iteration statements
DECLARE STATEMENT END "IF"
DECLARE STATEMENT FOR &double "=" double "TO" double
DECLARE STATEMENT FOR &double "=" double "TO" double "STEP" double
DECLARE STATEMENT GOTO label
DECLARE STATEMENT GOSUB label
DECLARE STATEMENT NEXT &double
DECLARE STATEMENT RETURN
DECLARE STATEMENT WEND

' GUI statements
DECLARE STATEMENT BMPBUTTON &handle "," string "," label ","  keyword "," double "," double
DECLARE STATEMENT BUTTON &handle "," string "," label "," keyword "," double "," double
DECLARE STATEMENT BUTTON &handle "," string "," label "," keyword "," double "," double "," double "," double
DECLARE STATEMENT CLS
DECLARE STATEMENT COMBOBOX &handle "," &string "("  "," label "," double "," double "," double "," double
DECLARE STATEMENT CONFIRM string ";" &string
DECLARE STATEMENT FILEDIALOG string "," string "," &string
DECLARE STATEMENT GROUPBOX handle "," string "," double "," double "," double "," double
DECLARE STATEMENT LISTBOX handle "," &string "("  "," label "," double "," double "," double "," double
DECLARE STATEMENT LOADBMP string "," string
DECLARE STATEMENT MENU handle "," string  string "," label
DECLARE STATEMENT NOMAINWIN
DECLARE STATEMENT NOTICE string
DECLARE STATEMENT PROMPT string ";" &string
DECLARE STATEMENT RADIOBUTTON handle "," string "," label "," label "," double "," double "," double "," double
DECLARE STATEMENT STATICTEXT handle "," string "," double "," double "," double "," double
DECLARE STATEMENT TEXTBOX &handle "," double "," double "," double "," double
DECLARE STATEMENT TEXTEDITOR handle "," double "," double "," double "," double

' I/O generic statements
DECLARE STATEMENT CLOSE &handle
DECLARE STATEMENT OPEN string "FOR" keyword "AS" &handle "LEN" "=" double
DECLARE STATEMENT OPEN string "FOR" keyword "AS" &handle
DECLARE STATEMENT INITIO
DECLARE STATEMENT INITGUI

' I/O random access statements
DECLARE STATEMENT FIELD handle ","
DECLARE STATEMENT GETTRIM handle "," double
DECLARE STATEMENT GET handle "," double
DECLARE STATEMENT PUT handle "," double

' I/O stream statements
DECLARE STATEMENT INPUT &vararg
DECLARE STATEMENT INPUT string ";" "" &vararg
DECLARE STATEMENT INPUT handle "," &vararg
DECLARE STATEMENT LINE "INPUT" handle "," &string
DECLARE STATEMENT PRINT
DECLARE STATEMENT PRINT vararg
DECLARE STATEMENT PRINT handle ""
DECLARE STATEMENT PRINT handle "," vararg

' Misc statements
DECLARE STATEMENT BEEP
DECLARE STATEMENT DUMP
DECLARE STATEMENT END
DECLARE STATEMENT FILES string "," &string "("
DECLARE STATEMENT KILL string
DECLARE STATEMENT LPRINT string
DECLARE STATEMENT NAME string "AS" string
DECLARE STATEMENT PLAYWAVE string "," keyword
DECLARE STATEMENT RUN string keyword
DECLARE STATEMENT SORT &string "(" "," double "," double double
DECLARE STATEMENT TRACE double

' Math functions
DECLARE FUNCTION ABS double
DECLARE FUNCTION ACS double
DECLARE FUNCTION ASC string
DECLARE FUNCTION ASN double
DECLARE FUNCTION ATN double
DECLARE FUNCTION COS double
DECLARE FUNCTION EXP double
DECLARE FUNCTION INT double
DECLARE FUNCTION RND double
DECLARE FUNCTION SIN double
DECLARE FUNCTION TAN double
DECLARE FUNCTION VAL string

' String functions
DECLARE FUNCTION CHR$ double
DECLARE FUNCTION INSTR string string double
DECLARE FUNCTION LEFT$ string double
DECLARE FUNCTION LEN string
DECLARE FUNCTION LOWER$ string
DECLARE FUNCTION MID$ string double double
DECLARE FUNCTION RIGHT$ string double
DECLARE FUNCTION STR$ double
DECLARE FUNCTION TRIM$ string
DECLARE FUNCTION UPPER$ string
DECLARE FUNCTION WORD$ string double

' I/O functions
DECLARE FUNCTION EOF handle
DECLARE FUNCTION INPUT$ handle double
DECLARE FUNCTION LOF handle

' System functions
DECLARE FUNCTION DATE$
DECLARE FUNCTION TIME$

INITIO
INITGUI
