/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  libLB is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  libLB is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*/

#ifndef _LB_FUNCS_H
#define _LB_FUNCS_H

#ifndef _LB_H
#error This file is not meant to be included directly
#endif

double LB_ABS_1(LBContext *cxt, double d);
double LB_ACS_1(LBContext *cxt, double d);
double LB_ASC_1(LBContext *cxt, LBString str);
double LB_ASN_1(LBContext *cxt, double d);
double LB_ATN_1(LBContext *cxt, double d);
LBString LB_CHR$_1(LBContext *cxt, double val);
double LB_COS_1(LBContext *cxt, double d);
LBString LB_DATE$_0(LBContext *cxt);
double LB_EOF_1(LBContext *cxt, LBHandle hnd);
double LB_EXP_1(LBContext *cxt, double d);
LBString LB_INPUT$_2(LBContext *cxt, LBHandle hnd, double d);
double LB_INSTR_3(LBContext *cxt, LBString haystack, LBString needle, double _pos);
double LB_INT_1(LBContext *cxt, double d);
LBString LB_LEFT$_2(LBContext *cxt, LBString str, double size);
double LB_LEN_1(LBContext *cxt, LBString str);
double LB_LOF_1(LBContext *cxt, LBHandle hnd);
LBString LB_LOWER$_1(LBContext *cxt, LBString str);
LBString LB_MID$_3(LBContext *cxt, LBString str, double pos, double len);
LBString LB_RIGHT$_2(LBContext *cxt, LBString str, double len);
double LB_RND_1(LBContext *cxt, double d);
double LB_SIN_1(LBContext *cxt, double d);
LBString LB_STR$_1(LBContext *cxt, double val);
double LB_TAN_1(LBContext *cxt, double d);
LBString LB_TIME$_0(LBContext *cxt);
LBString LB_TRIM$_1(LBContext *cxt, LBString str);
LBString LB_UPPER$_1(LBContext *cxt, LBString str);
double LB_VAL_1(LBContext *cxt, LBString str);
LBString LB_WORD$_2(LBContext *cxt, LBString str, double d);

#endif
