/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  This file is licensed in the public domain and may be included in your
 *  application along with any modifications without disclosing the source.
 *  This license only applies to the contents of this file.
\*/

#include <gnome.h>
#include "lb.h"


void init_var_table(LBContext *cxt);
void init_labels(LBContext *cxt);
void lb_init(LBContext *cxt);

static int setting_labels = 0;
static jmp_buf tmp_jmp;

int main(int argc, char **argv)
{
  LBContext cxt;

#ifdef PROFILE_MEMORY
  atexit(&_lb_mem_stats);
#endif
  (void)tmp_jmp;
  gnome_init("test2", "0.0.1b", argc, argv);
  lb_init_cxt(&cxt, argc, argv, 10, 1, "test2.bas");
  init_var_table(&cxt);
  init_labels(&cxt);
  lb_init(&cxt);
  lb_free_cxt(&cxt);
  return 0;
}
