/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  libLB is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  libLB is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*/

#ifndef _LB_STATEMENTS_H
#define _LB_STATEMENTS_H

#ifndef _LB_H
#error This file is not meant to be included directly
#endif

/* GUI statements */
// DECLARE STATEMENT BMPBUTTON &handle "," string "," label ","  keyword "," double "," double
// DECLARE STATEMENT CLS
// DECLARE STATEMENT COMBOBOX &handle "," &string "("  "," label "," double "," double "," double "," double
// DECLARE STATEMENT GROUPBOX handle "," string "," double "," double "," double "," double
// DECLARE STATEMENT LISTBOX handle "," &string "("  "," label "," double "," double "," double "," double
// DECLARE STATEMENT LOADBMP string "," string
// DECLARE STATEMENT MENU handle "," string  string "," label
// DECLARE STATEMENT NOMAINWIN
// DECLARE STATEMENT PROMPT string ";" &string
// DECLARE STATEMENT RADIOBUTTON handle "," string "," label "," label "," double "," double "," double "," double
// DECLARE STATEMENT STATICTEXT handle "," string "," double "," double "," double "," double
// DECLARE STATEMENT TEXTEDITOR handle "," double "," double "," double "," double
// DECLARE STATEMENT OPEN string "FOR" keyword "AS" &handle "LEN" "=" double

// DECLARE STATEMENT FIELD handle ","
// DECLARE STATEMENT GETTRIM handle "," double
// DECLARE STATEMENT GET handle "," double
// DECLARE STATEMENT PUT handle "," double

// DECLARE STATEMENT DUMP
// DECLARE STATEMENT FILES string "," &string "("
// DECLARE STATEMENT LPRINT string
// DECLARE STATEMENT NAME string "AS" string
// DECLARE STATEMENT PLAYWAVE string "," keyword
// DECLARE STATEMENT RUN string keyword
// DECLARE STATEMENT SORT &string "(" "," double "," double double
// DECLARE STATEMENT TRACE double

void LB_TEXTBOX_9(LBContext *cxt, Variable *handle, double x, double y, double width, double height);
void LB_BUTTON_11(LBContext *cxt, Variable *handle, LBString name, Label *label, char *corner, double x, double y);
void LB_BUTTON_15(LBContext *cxt, Variable *handle, LBString name, Label *label, char *corner, double x, double y, double width, double height);
void LB_FILEDIALOG_5(LBContext *cxt, LBString title, LBString filter, Variable *lvalue);
void LB_INITGUI_0(LBContext *cxt);
void LB_CONFIRM_3(LBContext *cxt, LBString str, Variable *lvalue);
void LB_NOTICE_1(LBContext *cxt, LBString str);

void LB_CLOSE_1(LBContext *cxt, Variable *lvalue);
void LB_OPEN_5(LBContext *cxt, LBString name, char *type, Variable *hnd);
void LB_INITIO_0(LBContext *cxt);

void LB_INPUT_1(LBContext *cxt, LBVarArg *arg);
void LB_INPUT_4(LBContext *cxt, LBString str, LBVarArg *arg);
void LB_INPUT_3(LBContext *cxt, LBHandle hnd, LBVarArg *arg);

void LB_LINE_4(LBContext *cxt, LBHandle hnd, Variable *lvalue);
void LB_PRINT_0(LBContext *cxt);
void LB_PRINT_1(LBContext *cxt, LBVarArg *arg);
void LB_PRINT_2(LBContext *cxt, LBHandle hnd);
void LB_PRINT_3(LBContext *cxt, LBHandle hnd, LBVarArg *arg);

void LB_BEEP_0(LBContext *cxt);
void LB_END_0(LBContext *cxt);
void LB_KILL_1(LBContext *cxt, LBString file);

#endif
