/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  libLB is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  libLB is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*/

#ifndef _LB_BASIC_IO_H
#define _LB_BASIC_IO_H

#include "lb.h"

int lb_open_file_input(LBContext *cxt, char *name, Variable *handle);
int lb_open_file_output(LBContext *cxt, char *name, Variable *handle);
void lb_close_file(LBContext *cxt, FILE *f);
int lb_eof_file(LBContext *cxt, FILE *f);
int lb_lof_file(LBContext *cxt, FILE *f);

LBString lb_read_file_str(LBContext *cxt, FILE *f, size_t size);
int lb_write_file_str(LBContext *cxt, FILE *f, LBString str);
double lb_read_file_db(LBContext *cxt, FILE *f);
int lb_write_file_db(LBContext *cxt, FILE *f, double db);

#endif
