/*\
 *  libLB - The LBPP support library
 *  Copyright (C) 2001   Anthony Liguori <ajl13@bellatlantic.net>
 *
 *  libLB is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  libLB is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
\*/

#ifndef _LB_STRINGS_H
#define _LB_STRINGS_H

typedef struct _lb_string_tag
{
  int size;
  char *data;
  int rc;
  int constant;
} LBStringType;

typedef LBStringType *LBString;

// String constructors/destructors
LBString lbstr_dup(LBString str);
LBString lbstr_cstr(char *str);
LBString lbstr_str(char *str);
LBString lbstr_empty(int size);
LBString lbstr_nstr(char *str, int size);
void lbstr_destroy(LBString str);

// string modifiers
LBString lbstr_dirty(LBString str);
void lbstr_set(LBString *rhs, LBString lhs);

// const string functions
LBString lbstr_cat(LBString rhs, LBString lhs);
int lbstr_cmp(LBString rhs, LBString lhs);

char *lb_skip_space(char *buf);
char *lb_skip_symbol(char *buf);

#endif
